<ul class="list-inline mx-2 my-0 profili-social text-center">
<?php 
    /**
    *
    * copyright (c) 2013-2019 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    $datiProfili = $geecomDb->leggiSingolaRiga("geec_profiliSocial",1);
	
    /*
     *  se prima di invocare questo pezzo d icodice non è stata definita la variabile $dimensioniIcona questa
     *  viene inizializzata con una stringa vuota
     * 
     *  la funzione stampaContenutiSocial richiamata dal componente profili social per le pagine consente di specificare
     *  questa opzione
     */
    if(!isset($dimensioniIcona)) {
        $dimensioniIcona = "";
    }
    
    if($datiProfili["facebook"]!="") {
        echo"<li class=\"list-inline-item\"><a href=\"{$datiProfili["facebook"]}\"><i class=\"fab fa-facebook-square $dimensioniIcona\"></i></a></li>";
    }
    if($datiProfili["instagram"]!="") {
        echo"<li class=\"list-inline-item\"><a href=\"{$datiProfili["instagram"]}\"><i class=\"fab fa-instagram $dimensioniIcona\"></i></a></li>";
    }
    if($datiProfili["youtube"]!="") {
        echo"<li class=\"list-inline-item\"><a href=\"{$datiProfili["youtube"]}\"><i class=\"fab fa-youtube $dimensioniIcona\"></i></a></li>";
    }
    if($datiProfili["patreon"]!="") {
        echo"<li class=\"list-inline-item\"><a href=\"{$datiProfili["patreon"]}\"><i class=\"fab fa-patreon $dimensioniIcona\"></i></a></li>";
    }
    if($datiProfili["ticToc"]!="") {
        echo"<li class=\"list-inline-item\"><a href=\"{$datiProfili["ticToc"]}\"><i class=\"fab fa-tiktok $dimensioniIcona\"></i></a></li>";
    }
    if($datiProfili["linkedin"]!="") {
        echo"<li class=\"list-inline-item\"><a href=\"{$datiProfili["linkedin"]}\"><i class=\"fab fa-linkedin $dimensioniIcona\"></i></a></li>";
    }
    if($datiProfili["twitter"]!="") {
        echo"<li class=\"list-inline-item\"><a href=\"{$datiProfili["twitter"]}\"><i class=\"fab fa-twitter-square $dimensioniIcona\"></i></a></li>";
    }
    
    if($datiProfili["whatsapp"]!="") {
        echo"<li class=\"list-inline-item\"><a href=\"{$datiProfili["whatsapp"]}\"><i class=\"fab fa-whatsapp $dimensioniIcona\"></i></a></li>";
    }
    
    if($datiProfili["telegram"]!="") {
        echo"<li class=\"list-inline-item\"><a href=\"{$datiProfili["telegram"]}\"><i class=\"fab fa-telegram-plane $dimensioniIcona\"></i></a></li>";
    }
 ?>
</ul>